#ifndef CUSTOM_PLUGIN_H
#define CUSTOM_PLUGIN_H
#include "utils.h"
#include "plugin.h"

class Custom_plugin : public Plugin
{
public:
    Custom_plugin();
    QString getName();
    QString getGenericName();
    QString getCommand();
    QIcon getIcon();

    void readConfig();
    Plugin *writeConfig();

    void getPluginConfig(QVBoxLayout *info);

private:
    QIcon icon;
    QString name;
    QString genericName;
    QString command;

    QLineEdit *txtCmd;
    QCheckBox *chkRoot;
};

#endif // CUSTOM_PLUGIN_H
